package com.xunhong.erp.turbo.api.rbac.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum MenuTypeEnum {
	/**
	 * 类型：1：菜单，2：页面，3：按钮
	 */
	MENU(1, "菜单"),
	PAGE(2, "页面"),
	BUTTON(3, "按钮");

	@EnumValue
	private final int type;

	private final String message;
}
